Index: loader/source/main.c
===================================================================
--- loader/source/main.c	(revision 542)
+++ loader/source/main.c	(working copy)
@@ -856,31 +975,300 @@
 			PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*13, "Loading config...");
 		if(abs(STATUS_LOADING) > 7 && abs(STATUS_LOADING) < 20)
 			PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*13, "Loading config... Done!");
-		/*if(STATUS_LOADING == 8)
+		if(STATUS_LOADING == 9)
+			PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*14, "Init DI... %40s", " ");
+		if(abs(STATUS_LOADING) > 9 && abs(STATUS_LOADING) < 20)
+			PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*14, "Init DI... Done! %35s", " ");
+		if(STATUS_LOADING == 10)
+			PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*15, "Init CARD...");
+		if(abs(STATUS_LOADING) > 10 && abs(STATUS_LOADING) < 20)
+			PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*15, "Init CARD... Done!");
+		GRRLIB_Screen2Texture(0, 0, screen_buffer, GX_FALSE); // Copy all status messages
+		GRRLIB_Render();
+		ClearScreen();
+ 	while((STATUS_LOADING < -1) && (STATUS_LOADING > -20)) //displaying a fatal error
+	;} //do nothing wait for shutdown	
+	DrawBuffer(); // Draw all status messages
+	PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*16, "Nintendont kernel looping, loading game...");
+	GRRLIB_Render();
+	DrawBuffer(); // Draw all status messages
+}
+
+ //custom purple progress bar for light background bar
+	else if (which_bg == BG_LIGHT)
+	{ while(1)
+    {
+    	DCInvalidateRange( STATUS, 0x20 );
+		if( STATUS_LOADING == 0xdeadbeef )
+		break;
+		
+        PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 50*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING == 0)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 90*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 0 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 110*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING == 2)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 130*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 2 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 150*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+		if(STATUS_LOADING == -2)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*8, "Init USB/SD device... Error! %d  Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 3)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 170*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 3 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 190*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+         if(STATUS_LOADING == -3)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*9, "Mounting USB/SD device... Error! %d  Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 4)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 210*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 4 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 230*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+		if(STATUS_LOADING == 5) 
+			{ PrintFormat(DEFAULT_SIZE, (STATUS_ERROR == -7) ? MAROON:0x45587C00, MENU_POS_X + 230*1, MENU_POS_Y + 20*19, (STATUS_ERROR == -7) ? "Checking FS... Timeout!" : "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");}
+        if(STATUS_LOADING > 5 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 270*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+		if(STATUS_LOADING == -5)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*10, "Checking FS... Error! %d Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 6)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 290*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 6 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 310*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+		if(STATUS_LOADING == -6)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*12, "ES_LoadModules... Error! %d Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 7)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 330*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 7 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 350*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING == 8)
+        {
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 370*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+			hid_count++;
+			if ( (STATUS_ERROR) == 1 && (hid_count > 15))
+			{
+				PrintFormat(DEFAULT_SIZE, 0xFFD70000, MENU_POS_X, MENU_POS_Y + 17*24, "          Make sure the Controller is plugged in");
+			}			else
+				PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*15, "%50s", " ");	
+		}
+        if(STATUS_LOADING > 8 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 390*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+		if(STATUS_LOADING == -8)
 		{
-			PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*14, "Init HID devices... ");
-			if ( STATUS_ERROR == 1)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*14, "Init HID devices... Failed! Shutting down");
+			switch (STATUS_ERROR)
 			{
-				PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*15, "          Make sure the Controller is plugged in");
+				case -1:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "No Controller plugged in! %25s", " ");
+					break;	
+				case -2:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Missing %s:/controller.ini %20s", GetRootDevice(), " ");
+					break;	
+				case -3:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Controller does not match %s:/controller.ini %6s", GetRootDevice(), " ");
+					break;	
+				case -4:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Invalid Polltype in %s:/controller.ini %12s", GetRootDevice(), " ");
+					break;	
+				case -5:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Invalid DPAD value in %s:/controller.ini %9s", GetRootDevice(), " ");
+					break;	
+				case -6:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "PS3 controller init error %25s", " ");
+					break;	
+				case -7:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Gamecube adapter for Wii u init error %13s", " ");
+					break;	
+				default:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Unknown error %d %35s", STATUS_ERROR, " ");
+					break;	
 			}
-			else
-				PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*15, "%50s", " ");
 		}
-		if(abs(STATUS_LOADING) > 8 && abs(STATUS_LOADING) < 20)
+        if(STATUS_LOADING == 9)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 410*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 9 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 430*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING == 10)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 450*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 10 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 470*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        GRRLIB_Screen2Texture(0, 0, screen_buffer, GX_FALSE); // Copy all status messages
+        GRRLIB_Render();
+        ClearScreen();
+        PrintInfo();
+    }
+ 
+    //gprintf("Nintendont at your service!\r\n");
+ 
+    GRRLIB_DrawImg(0, 0, screen_buffer, 0, 1, 1, 0xFFFFFFFF); // Draw all status messages
+            PrintFormat(DEFAULT_SIZE, 0x45587C00, MENU_POS_X + 490*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+    GRRLIB_Render();
+}
+
+ //silver progress bar for dark background bar
+	else if (which_bg == BG_DARK)
+	{    while(1)
+    {
+    	DCInvalidateRange( STATUS, 0x20 );
+		if( STATUS_LOADING == 0xdeadbeef )
+		break;
+		
+        PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 50*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING == 0)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 90*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 0 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 110*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING == 2)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 130*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 2 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 150*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+		if(STATUS_LOADING == -2)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*8, "Init USB/SD device... Error! %d  Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 3)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 170*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 3 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 190*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+         if(STATUS_LOADING == -3)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*9, "Mounting USB/SD device... Error! %d  Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 4)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 210*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 4 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 230*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+ 		if(STATUS_LOADING == 5) 
+			{ PrintFormat(DEFAULT_SIZE, (STATUS_ERROR == -7) ? MAROON:0xC0C0C000, MENU_POS_X + 230*1, MENU_POS_Y + 20*19, (STATUS_ERROR == -7) ? "Checking FS... Timeout!" : "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");}
+        if(STATUS_LOADING > 5 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 270*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+		if(STATUS_LOADING == -5)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*10, "Checking FS... Error! %d Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 6)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 290*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 6 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 310*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+		if(STATUS_LOADING == -6)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*12, "ES_LoadModules... Error! %d Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 7)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 330*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 7 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 350*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING == 8)
+        {
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 370*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+			hid_count++;
+			if ( (STATUS_ERROR) == 1 && (hid_count > 15))
+			{
+				PrintFormat(DEFAULT_SIZE, 0xFFD70000, MENU_POS_X, MENU_POS_Y + 17*24, "          Make sure the Controller is plugged in");
+			}			else
+				PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*15, "%50s", " ");		
+		}
+        if(STATUS_LOADING > 8 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 390*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+		if(STATUS_LOADING == -8)
 		{
-			if (ncfg->Config & NIN_CFG_NATIVE_SI)
-				PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*14, "Init HID devices... Using ONLY NATIVE Gamecube Ports");
-			else if ((ncfg->MaxPads == 1) && (ncfg->Config & NIN_CFG_HID))
-				PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*14, "Init HID devices... Using Gamecube and HID Ports");
-			else if ((ncfg->MaxPads > 0) && (ncfg->Config & NIN_CFG_HID))
-				PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*14, "Init HID devices... Using Gamecube, HID, and BT Ports");
-			else if (ncfg->MaxPads > 0)
-				PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*14, "Init HID devices... Using Gamecube and BT Ports");
-			else if (ncfg->Config & NIN_CFG_HID)
-				PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*14, "Init HID devices... Using HID and Bluetooth Ports");
-			else
-				PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*14, "Init HID devices... Using Bluetooth Ports... Done!");
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*14, "Init HID devices... Failed! Shutting down");
+			switch (STATUS_ERROR)
+			{
+				case -1:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "No Controller plugged in! %25s", " ");
+					break;	
+				case -2:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Missing %s:/controller.ini %20s", GetRootDevice(), " ");
+					break;	
+				case -3:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Controller does not match %s:/controller.ini %6s", GetRootDevice(), " ");
+					break;	
+				case -4:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Invalid Polltype in %s:/controller.ini %12s", GetRootDevice(), " ");
+					break;	
+				case -5:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Invalid DPAD value in %s:/controller.ini %9s", GetRootDevice(), " ");
+					break;	
+				case -6:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "PS3 controller init error %25s", " ");
+					break;	
+				case -7:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Gamecube adapter for Wii u init error %13s", " ");
+					break;	
+				default:
+					PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*15, "Unknown error %d %35s", STATUS_ERROR, " ");
+					break;	
+			}
 		}
+        if(STATUS_LOADING == 9)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 410*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 9 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 430*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING == 10)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 450*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        if(STATUS_LOADING > 10 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 470*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+        GRRLIB_Screen2Texture(0, 0, screen_buffer, GX_FALSE); // Copy all status messages
+        GRRLIB_Render();
+        ClearScreen();
+        PrintInfo();
+    }
+ 
+    //gprintf("Nintendont at your service!\r\n");
+ 
+    GRRLIB_DrawImg(0, 0, screen_buffer, 0, 1, 1, 0xFFFFFFFF); // Draw all status messages
+            PrintFormat(DEFAULT_SIZE, 0xC0C0C000, MENU_POS_X + 490*1, MENU_POS_Y + 20*19, "\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88\xe2\x96\x88");
+    GRRLIB_Render();
+}	
+	
+ //white loading bars
+	else if (which_bg == BG_BARS)
+	{     while(1)
+    {
+    	DCInvalidateRange( STATUS, 0x20 );
+		if( STATUS_LOADING == 0xdeadbeef )
+		break;
+		
+        PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 50*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+        if(STATUS_LOADING == 0)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 90*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+        if(STATUS_LOADING > 0 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 110*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+        if(STATUS_LOADING == 2)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 130*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+        if(STATUS_LOADING > 2 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 150*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+		if(STATUS_LOADING == -2)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*8, "Init USB/SD device... Error! %d  Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 3)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 170*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+        if(STATUS_LOADING > 3 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 190*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+         if(STATUS_LOADING == -3)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*9, "Mounting USB/SD device... Error! %d  Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 4)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 210*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+        if(STATUS_LOADING > 4 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 230*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+ 		if(STATUS_LOADING == 5) 
+			{ PrintFormat(DEFAULT_SIZE, (STATUS_ERROR == -7) ? MAROON:WHITE, MENU_POS_X + 230*1, MENU_POS_Y + 20*19, (STATUS_ERROR == -7) ? "Checking FS... Timeout!" : "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");}
+        if(STATUS_LOADING > 5 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 270*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+		if(STATUS_LOADING == -5)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*10, "Checking FS... Error! %d Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 6)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 290*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+        if(STATUS_LOADING > 6 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 310*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+		if(STATUS_LOADING == -6)
+			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*12, "ES_LoadModules... Error! %d Shutting down", STATUS_ERROR);
+        if(STATUS_LOADING == 7)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 330*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+        if(STATUS_LOADING > 7 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 350*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+        if(STATUS_LOADING == 8)
+        {
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 370*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
+			hid_count++;
+			if ( (STATUS_ERROR) == 1 && (hid_count > 15))
+			{
+				PrintFormat(DEFAULT_SIZE, 0xFFD70000, MENU_POS_X, MENU_POS_Y + 17*24, "          Make sure the Controller is plugged in");
+			}			else
+				PrintFormat(DEFAULT_SIZE, BLACK, MENU_POS_X, MENU_POS_Y + 20*15, "%50s", " ");	
+		}
+        if(STATUS_LOADING > 8 && STATUS_LOADING < 20)
+            PrintFormat(DEFAULT_SIZE, WHITE, MENU_POS_X + 390*1, MENU_POS_Y + 20*19, "\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83\xe2\x95\x83");
 		if(STATUS_LOADING == -8)
 		{
 			PrintFormat(DEFAULT_SIZE, MAROON, MENU_POS_X, MENU_POS_Y + 20*14, "Init HID devices... Failed! Shutting down");
